package rozwiazania_zadan.r2.z1.p3_fib;

import java.math.BigInteger;
import java.util.Scanner;

public class Fibonacci4 {
	// 0 1 1 2 3 5 8 13 21 34 55
	
	static BigInteger fib(int n) {
		BigInteger ostatnia = BigInteger.ZERO;
		BigInteger przedostatnia = BigInteger.ONE;
		for(int i = 1; i <= n; i++) {
			BigInteger nowa = ostatnia.add(przedostatnia);
			przedostatnia = ostatnia;
			ostatnia = nowa;
		}
		return ostatnia;
	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		System.out.println("Aby zakończyć, wpisz -1");
		while(true) {
			System.out.print("Podaj liczbę: ");
			int liczba = sc.nextInt();
			if(liczba < 0) break;
			
			// pomiar czasu
			long p = System.currentTimeMillis();
			var wynik = fib(liczba);
			long k = System.currentTimeMillis();
			
			System.out.println("F(" + liczba + ") = " + wynik);
			System.out.println("Obliczenie trwało " + (k-p) + " ms");
			System.out.println();
		}

	}

}
